> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf-media/untitled/player-strokes-gained-sg-percentiles.md).

# Player Strokes Gained (SG) Percentiles

This endpoint returns the strokes gained shot values for players specified in the request parameters for a specified tournament.

## **Endpoint URLs**

[https://dde-api.imggaming.com/golf/percentiles/{tournamentId}](https://dde-api.imggaming.com/golf/percentiles/%7BtournamentId%7D)

**URL Sample:**

<https://dde-api.imggaming.com/golf/percentiles/691>

### Required Headers

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

\*Authorization header includes a truncated Bearer token, contact IMG for your auth token if you do not have.

### Request Parameters

This endpoint currently takes the following parameters:

| playerIds   | Array of Strings | The internal IDs of the player(s) to be compared |
| ----------- | ---------------- | ------------------------------------------------ |
| roundNumber | int              | The round of the tournament in question          |

### Response Model

| Field Name | Type                | Description                                                                                                                                                                      |
| ---------- | ------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| playerId   | int                 | The internal ID of the Player of the current event                                                                                                                               |
| playerName | string              | The name of the player                                                                                                                                                           |
| APP        | String Array Object | An Object containing 4 String objects describing the player's Approach Shot: percentile, rank, sgValue, sgSum                                                                    |
| ARG        | int                 | An Object containing 4 String objects describing the player's Around the Green Shot: percentile, rank, sgValue, sgSum                                                            |
| OTT        | int                 | An Object containing 4 String objects describing the player's Off The Tee Shot: percentile, rank, sgValue, sgSum                                                                 |
| PUT        | int                 | An Object containing 4 String objects describing the player's Putting Shot: percentile, rank, sgValue, sgSum                                                                     |
| OverallSG  | int                 | An Object containing 4 String objects describing the player's Overall averaged combined shot scores across all categories (APP, OTT, ARG, PUT): percentile, rank, sgValue, sgSum |

### Sample Response

```
[
  {
    "playerID": 3832,
    "playerName": "Aaron Baddeley",
    "APP": {
      "percentile": 76.92307692307693,
      "rank": 37,
      "sgValue": 0.047719743102788925,
      "sgSum": 1.2407133496999994
    },
    "ARG": {
      "percentile": 26.923076923076923,
      "rank": 115,
      "sgValue": -0.07399700582027435,
      "sgSum": -0.4439820143
    },
    "OTT": {
      "percentile": 1.282051282051282,
      "rank": 155,
      "sgValue": -0.32127365469932556,
      "sgSum": -4.1765574874
    },
    "PUT": {
      "percentile": 73.07692307692307,
      "rank": 43,
      "sgValue": 0.04072266072034836,
      "sgSum": 1.0995118430000002
    },
    "overallSG": {
      "percentile": 21.153846153846153,
      "rank": 79,
      "sgValue": -0.031671032309532166,
      "sgSum": -2.2803143090000004
    }
  },
  {
    "playerID": 122,
    "playerName": "Aaron Rai",
    "APP": {
      "percentile": 17.307692307692307,
      "rank": 130,
      "sgValue": -0.08172213286161423,
      "sgSum": -1.6344426031000006
    },
    "ARG": {
      "percentile": 89.74358974358975,
      "rank": 17,
      "sgValue": 0.13610011339187622,
      "sgSum": 1.3610011603999999
    },
    "OTT": {
      "percentile": 70.51282051282051,
      "rank": 47,
      "sgValue": 0.04991649091243744,
      "sgSum": 0.6489143916
    },
    "PUT": {
      "percentile": 15.384615384615385,
      "rank": 133,
      "sgValue": -0.059135258197784424,
      "sgSum": -1.6557872581000004
    },
    "overallSG": {
      "percentile": 33.97435897435898,
      "rank": 67,
      "sgValue": -0.01803259551525116,
      "sgSum": -1.2803143092000002
    }
  }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/golf-media/untitled/player-strokes-gained-sg-percentiles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
